%define api 4.0
%define		pkgname libgda
%define 	name %{pkgname}%{api}

%define 	build_mysql 1
%{?_with_mysql: %global build_mysql 1}
%define		build_freetds 0
%{?_with_freetds: %global build_freetds 1}
%define		build_mdb 0
%{?_with_mdb: %global build_mdb 1}

%define dirver %api
%define oname gda
%define	major 4

%define libname	%mklibname %{oname}%{api}_ %major 
%define libnamedev	%mklibname -d %{oname}%{api}

Summary:	GNU Data Access
Name: 		%{name}
Version: 4.0.5
Release: %mkrel 1
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Patch: libgda-4.0.3-format-string.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	libxslt-devel >= 1.0.9
BuildRequires:	ncurses-devel
BuildRequires:  openldap2-devel
BuildRequires:	intltool
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:	readline-devel
BuildRequires:	scrollkeeper
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
BuildRequires:	libxbase-devel
BuildRequires: libsoup-devel
%ifnarch %arm %mips
BuildRequires: java-1.6.0-devel
%endif
BuildRequires: automake1.8
BuildRequires: check-devel
%if %build_mysql
BuildRequires:	mysql-devel
%endif
%if %build_freetds
BuildRequires:	freetds-devel
%endif
BuildRequires:	gtk-doc
#Requires(post):		scrollkeeper
#Requires(postun):	scrollkeeper
URL: 		http://www.gnome-db.org/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n	%{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%name >= %version
Requires:	%name-sqlite >= %version

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{libnamedev}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	gda4.0-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
%define _requires_exceptions ^devel.libgda-

%description -n	%{libnamedev}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package	postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package	mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider


%package	bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%if %build_freetds
%package	freetds
Summary:	GDA FreeTDS Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	freetds
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA FreeTDS provider.
%endif

%if %build_mdb
BuildRequires:	libmdbtools-devel
%package	mdb
Summary:	GDA MDB Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MDB provider, which can access
Microsoft Access databases.
%endif

%package	sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name} = %{version}
Obsoletes:      gda3.0-sqlite

%description	sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA sqlite provider


%ifnarch %arm %mips
%package        jdbc
Summary:	GDA Java Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	jdbc
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Java Database provider.
%endif

%prep
%setup -q -n %{pkgname}-%{version}
%patch -p1

%build
%configure2_5x \
%if %build_mysql
	--with-mysql=yes \
%endif
%if !%build_freetds
	--with-tds=no \
%endif
%if !%build_mdb
	--with-mdb=no \
%endif
	--without-firebird

make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/libgda-%dirver/providers/*.{a,la}

%{find_lang} %{pkgname}-%{api} --with-gnome

%check
#make check

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif
		  
%files -f %{pkgname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/*
%_mandir/man1/*
%dir %{_sysconfdir}/libgda-%dirver
%config(noreplace) %_sysconfdir/libgda-%dirver/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda-%dirver/config
%{_datadir}/libgda-%dirver
%dir %{_libdir}/libgda-%dirver
%dir %{_libdir}/libgda-%dirver/providers

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%_libdir/libgda-xslt-%{api}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc %_datadir/gtk-doc/html/libgda-%dirver/
%{_libdir}/libgda-%{api}.so
%{_libdir}/libgda-report-%{api}.so
%_libdir/libgda-xslt-%{api}.so
%{_libdir}/lib*.a
%attr(644,root,root) %{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files sqlite
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-sqlite.so

%files postgres
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-postgres.so


%files bdb
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-bdb.so

%if %build_mysql
%files mysql
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-mysql.so
%endif

%if %build_freetds
%files freetds
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-freetds.so
%endif

%if %build_mdb
%files mdb
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-mdb.so
%endif

%ifnarch %arm %mips
%files jdbc
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-jdbc.so
%{_libdir}/libgda-%dirver/providers/gdaprovider-4.0.jar
%endif


%changelog
* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 4.0.5-1mdv2010.0
+ Revision: 456743
- update to new version 4.0.5

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 4.0.4-3mdv2010.0
+ Revision: 452099
- remove bogus provides from library package

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 4.0.4-2mdv2010.0
+ Revision: 449860
- disable java on mips & arm (from Arnaud Patard)

* Sun Aug 30 2009 Götz Waschk <waschk@mandriva.org> 4.0.4-1mdv2010.0
+ Revision: 422718
- update to new version 4.0.4

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 4.0.3-1mdv2010.0
+ Revision: 420556
- new version
- update patch 0

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 4.0.2-1mdv2010.0
+ Revision: 371274
- update to new version 4.0.2

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 4.0.0-1mdv2009.1
+ Revision: 356170
- update to new version 4.0.0

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 3.99.14-1mdv2009.1
+ Revision: 355469
- update to new version 3.99.14

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 3.99.13-1mdv2009.1
+ Revision: 353384
- fix build deps
- new version
- fix format string

* Sat Feb 28 2009 Götz Waschk <waschk@mandriva.org> 3.99.12-1mdv2009.1
+ Revision: 346046
- update to new version 3.99.12

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 3.99.11-2mdv2009.1
+ Revision: 344878
- rebuild for new libreadline

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 3.99.11-1mdv2009.1
+ Revision: 340148
- update to new version 3.99.11
- drop patch
- don't call the autotools

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 3.99.10-1mdv2009.1
+ Revision: 336660
- update to new version 3.99.10

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 3.99.9-1mdv2009.1
+ Revision: 331529
- new version
- fix build
- update build deps
- add jdbc provider

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 3.99.8-1mdv2009.1
+ Revision: 328747
- new version
- update file list

* Wed Dec 31 2008 Götz Waschk <waschk@mandriva.org> 3.99.7-1mdv2009.1
+ Revision: 321669
- update to new version 3.99.7

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.99.6-2mdv2009.1
+ Revision: 311304
- rebuilt against mysql-5.1.30 libs

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 3.99.6-1mdv2009.1
+ Revision: 306954
- new version
- new api
- clean up spec file
- import 3.x branch

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-3mdv2009.0
+ Revision: 271114
- split library package in a sane way
- update build deps

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-2mdv2009.0
+ Revision: 264228
- add conflict with old library package

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.1.5-1mdv2009.0
+ Revision: 264182
- new version
- new major
- drop patch
- fix build
- update license

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.2-3mdv2009.0
+ Revision: 222542
- fix build when %%build_freetds is not set (missing %%files for subpackage)
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 3.1.2-2mdv2008.1
+ Revision: 136827
- rebuild for libdb 4.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Thu Oct 25 2007 Götz Waschk <waschk@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 102208
- new version
- update file list

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-2mdv2008.0
+ Revision: 78284
- move sqlite provider to the lib package
- move libs to the library package
- filter out wrong deps from the devel package

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-1mdv2008.0
+ Revision: 78213
- new version
- new devel name

* Thu May 10 2007 Götz Waschk <waschk@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 25874
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 17749
- new version
- patch to add missing man pages

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.99.6-1mdv2008.0
+ Revision: 14425
- disable the checks again, they fail in the iurt chroot
- new version
- drop sharp bindings
- drop patches
- enable checks

